Skip to main content
GET
/
pages
/
{page_id}
/
blocks
List blocks on page
curl --request GET \
  --url https://api.questra.ai/pages/{page_id}/blocks \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Org-Id: <x-org-id>'
[
  {
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "page_id": "<string>",
    "order": 1,
    "config": {
      "content": "<string>",
      "type": "<string>",
      "showIf": "<string>",
      "attentionRequired": {
        "reason": "<string>",
        "dismissed": false
      },
      "content_type": "markdown"
    }
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Org-Id
string
required

The ID of the organization to make requests against. Found on your Settings page.

Path Parameters

page_id
string
required

Unique ID of the page to get blocks for

Response

id
string
required

ID

created_at
string<date-time>
required
updated_at
string<date-time>
required
page_id
string
required
order
integer
required
Required range: x >= 0
config
object
required